Retrieve a Payment Link

Retrieve details of a payment link by its id.

Path Parameters
  • id
    Type: string
    max length:  
    200
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/payment-links/{id}
curl 'https://api.paypercut.io/v1/payment-links/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "amount": 2000,
  "on_behalf_of": "string",
  "payment_method_configuration": null,
  "expires_at": "2026-04-17T20:01:58.674Z",
  "line_items": [
    {
      "quantity": 2,
      "price_data": {
        "active": true,
        "billing_scheme": "per_unit",
        "created": 1,
        "currency": "string",
        "livemode": true,
        "lookup_key": null,
        "product": "01K755J9SV2364REVHB915Z2FW",
        "product_data": {
          "active": true,
          "name": "string",
          "description": "string",
          "unit_label": "string",
          "id": "string"
        },
        "recurring": {
          "interval": "day",
          "interval_count": 1,
          "meter": null,
          "usage_type": "licensed"
        },
        "type": "one_time",
        "unit_amount": null,
        "unit_amount_decimal": null,
        "id": "string"
      },
      "metadata": {
        "additionalProperty": "string"
      }
    }
  ],
  "redirect_url": null,
  "client_reference_id": null,
  "client_customer_id": null,
  "description": null,
  "livemode": true,
  "after_completion": {
    "type": "redirect",
    "redirect": {
      "url": "https://example.com"
    },
    "hosted": {
      "custom_message": "string"
    }
  },
  "mode": "payment",
  "restrictions": {
    "completed_sessions": {
      "count": 1,
      "limit": 1
    }
  },
  "id": "string",
  "currency": {
    "iso": "usd",
    "scale": 2
  },
  "active": true,
  "status": "string",
  "created": "2026-04-17T20:01:58.674Z",
  "url": "string",
  "locale": "auto"
}